<?php
    // 引入配置文件
    include 'config.php';
    // 引入CAS Client项目
    include '/includes/CAS.php'; 

    // 初始化CAS客户端参数
    phpCAS::client(CAS_VERSION_2_0,CAS_SERVER_HOSTNAME,CAS_SERVER_PORT,CAS_SERVER_APP_NAME,true); 
    // 不使用SSL服务校验 
    phpCAS::setNoCasServerValidation();   
    // 这里会检测服务器端的退出的通知，就能实现php和其他语言平台间同步登出了
    phpCAS::handleLogoutRequests();
    // 判断是否已经访问CAS验证，true-获取用户信息，false-访问CAS验证
    if(phpCAS::checkAuthentication()){  
        /**
        *获取用户的唯一标识信息
        *由UIA的配置不同可分为两种：
        *(1)学生：学号；教工：身份证号
        *(2)学生：学号；教工：教工号
        **/
        $userid=phpCAS::getUser();

        // 获取登录用户的扩展信息  
        // 用户姓名
        $name = phpCAS::getAttribute("nickName");
        // 电话号码
        $phone = phpCAS::getAttribute("phonenumber");
        // 邮件
        $email = phpCAS::getAttribute("email");

        // 获取所有扩展参数信息
        $attribute = phpCAS::getAttributes();
    }else{  
        // 访问CAS的验证
        phpCAS::forceAuthentication();  
    }  

    // 退出登录
    if(isset($_REQUEST['a'])){
        if($_REQUEST['a'] == "logout"){
            $param=array("service"=>LOGOUT_ADDRESS);  
            phpCAS::logout($param);
        }
    }


    function toArray($data){
      $result = array();
      if(isset($data)){
        $arrays = explode("-",$data);
        foreach ($arrays as $temp) {
              $_array = explode(",",$temp);
              $arrayName = array();
              if(count($_array)>0){
                foreach ($_array as $_temp) {
                    $_array1 = explode(":",$_temp);  
                    if(count($_array1)>0&&isset($_array1[0])&&isset($_array1[1])){
                      $arrayName[$_array1[0]]  = $_array1[1];
                    }
                }
                if(count($arrayName)>0){
                  array_push($result,  $arrayName);
                }
              } 
          }
      }
      return $result;
    }
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>测试单点登录</title>
    <style type="text/css">
        table td{
          padding-left: 10px;
          height:30px;
        }
        body{
          font-family: "微软雅黑";
        }
    </style>
</head>
<body>
<table border="1" style="width:80%;margin-left:auto;margin-right:auto;margin-top:40px;margin-bottom:40px;">
    <tr>
        <th style="width:20%;">参数名称：</th>
        <th style="widht:80%;">参数值</th>
    </tr>
    <tr>
        <td>登陆唯一ID：</td><td><?php echo $userid;?></td>
    </tr>
    <tr>
         <td>用户名称：</td><td><?php echo $name;?></td>
    </tr>
    <tr>
        <td>用户电话：</td><td><?php echo $phone;?></td>
    </tr>
    <tr>
        <td>用户邮箱：</td><td><?php echo $email;?></td>
    </tr>
    <tr>
        <td colspan="2"><a href="http://ip:port/?a=logout">退出登录</a></td>
    </tr>
</table>

</body>
</html>